﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using Telerik.Web.UI;
using System.Drawing;
using System.Drawing.Imaging;

public partial class Captcha_Default : System.Web.UI.Page
{
	private CaptchaImage RadCaptchaImage
	{
		get
		{
			return (CaptchaImage)Session["CaptchaImage"];
		}
		set
		{
			Session["CaptchaImage"] = value;
		}
	}
	private bool IsValid = true;
	private string _textCode = string.Empty;

	protected void Page_Init(object sender, EventArgs e)
	{

		if (RadCaptchaImage != null)
			_textCode = RadCaptchaImage.Text;

		RadCaptchaImage = new CaptchaImage();

		System.Web.UI.WebControls.Image img = new System.Web.UI.WebControls.Image();
		img.ID = "CaptchaImage";
		img.AlternateText = "This is a RadCaptcha Image";
		img.Width = new Unit(200, UnitType.Pixel);
		img.Height = new Unit(50, UnitType.Pixel);
		img.ImageUrl = "~/MyCustom.CaptchaHandler.axd";

		panelCaptcha1.Controls.Add(img);
	}

	protected void Page_Load(object sender, EventArgs e)
	{
		Label1.Text = string.Empty;
	}

	protected void Button1_Click(object sender, EventArgs e)
	{
		bool ShouldIgnoreLetterCase = true;
		if (String.Compare(txtRadCaptcha.Text, _textCode, ShouldIgnoreLetterCase) != 0)
		{
			Label1.Text = "The code you entered is not valid";
			Label1.ForeColor = Color.Red;
			IsValid = false;
		}
		else
		{
			Label1.Text = "Page submitted successfully";
			Label1.ForeColor = Color.Green;
			IsValid = true;
		}
	}
}